import { ISubtitleResolver } from "../models/ISubtitleResolver";
import { Element } from "../services/xml/Element";
import { Container } from "../utils/container";
export declare class SubtitleResolver implements ISubtitleResolver {
    private _httpClient;
    constructor(container: Container);
    getSubtitleByUrl(url: string): Promise<Uint8Array>;
    getSubtitle(id: number, iv: Uint8Array, data: Uint8Array): Uint8Array;
}
export declare class SubtitleModel {
    private _element;
    constructor(element: Element);
    private _getValue(name);
    private _getElement(name);
    readonly id: number;
    readonly iv: string;
    readonly data: string;
}
